Subject: Bug#932357: debootstrap: failed to create a pbuilder base.tgz inside a systemd-nspawn container

From: Alberto Garcia <[email-masked]>
Date: Thu, 18 Jul 2019 14:20:19 +0300

Package: debootstrap
Version: 1.0.115
Severity: normal

Dear Maintainer,

here's what happens if I try to create a base.tgz inside a
systemd-nspawn container using pbuilder and debootstrap:

# pbuilder --create --mirror http://deb.debian.org/debian/ --basetgz /var/cache/pbuilder/sid-amd64.tgz --distribution sid --architecture amd64
W: /root/.pbuilderrc does not exist
I: Distribution is sid.
I: Current time: Thu Jul 18 14:12:11 EEST 2019
I: pbuilder-time-stamp: 1563448331
I: Building the build environment
I: running debootstrap
/usr/sbin/debootstrap
mknod: /var/cache/pbuilder/build/42591/test-dev-null: Operation not permitted
E: Cannot install into target '/var/cache/pbuilder/build/42591' mounted with noexec or nodev
E: debootstrap failed
E: debootstrap.log not present
W: Aborting with an error

I indeed don't have permissions to run mknod, but I see that there's
code to detect other container systems and use bind mounts and
symlinks instead.

Would that be possible in this case?

Thanks,

Berto

-- System Information:
Debian Release: 10.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 5.0.4-arch1-1-ARCH (SMP w/64 CPU cores; PREEMPT)
Kernel taint flags: TAINT_WARN
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=C (charmap=UTF-8)
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages debootstrap depends on:
ii  wget  1.20.1-1.1

Versions of packages debootstrap recommends:
ii  arch-test               0.15-2
ii  debian-archive-keyring  2019.1
ii  gnupg                   2.2.12-1

Versions of packages debootstrap suggests:
pn  squid-deb-proxy-client  <none>
pn  ubuntu-archive-keyring  <none>

-- no debconf information